This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1009033 - (CVE-2013-1725) CVE-2013-1725 Mozilla: Calling scope for new Javascript objects can lead to memory corruption (MFSA 2013-82)
CVE-2013-1725 Mozilla: Calling scope for new Javascript objects can lead to m...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130917,repo...
: Security
Depends On:
Blocks: 1004291
  Show dependency treegraph
 
Reported: 2013-09-17 10:21 EDT by Huzaifa S. Sidhpurwala
Modified: 2017-09-15 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-15 12:47:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-09-17 10:21:51 EDT
Mozilla community member Ms2ger found a mechanism where a new Javascript object with a compartment is uninitialized could be entered through web content. When the scope for this object is called, it leads to a potentially exploitable crash.

In general this flaw cannot be exploited through email in the Thunderbird product because scripting is disabled, but is potentially a risk in browser or browser-like contexts.



External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-82.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Ms2ger as the original reporter.
Comment 1 errata-xmlrpc 2013-09-17 15:16:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1269 https://rhn.redhat.com/errata/RHSA-2013-1269.html
Comment 2 errata-xmlrpc 2013-09-17 15:37:27 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1268 https://rhn.redhat.com/errata/RHSA-2013-1268.html

Note You need to log in before you can comment on or make changes to this bug.